Subject: Re: Protocol: confusing continuation references instruction

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 20 Nov 2002 15:49:17 -0700

Thanks, makes sense.

Jim

>>> Mark Wahl <[email-masked]> 11/20/02 05:41PM >>>

Jim Sermersheim wrote:
> 
> In 4.5.3 of [Protocol], there is the statement:
> 
> >   In the absence of indexing information provided to a server from
> >   servers holding subordinate naming contexts, SearchResultReference
> >   responses are not affected by search filters and are always returned
> >   when in scope.
> 
> Anyone have an idea what this means?
> 
> My best guess is that some implementations may hold a copy of some amount 
> of data held in a subordinate naming context (via whatever mechanism they 
> choose--not just "indexing"). And if those servers can use the search 
> filter to determine that there are no entries in the subordinate naming 
> context, it does not need to send a continuation reference for the 
> subordinate DSA(s).

Yes, at the time this was written CIP had been recently discussed as a way
of distributing indexes between directory servers to cut down on the number
of servers that would need to be contacted for broad-scope searches. 
"indexing" is just an example, I agree this can be broadened.

Mark Wahl
Sun Microsystems Inc.